/* -*- Mode: C -*- */

/* COPYING
 * Liquid Rendering Library
 * (c) 2009 by Henrik Theiling
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "internal.h"
#include <liquid/ftxdef.h>

#define font_inline           INLINE
#define add_font(X,Y)         LiqFont const *const liq_font_##X = &Y;

/* BEGIN: automatically generated */
/* Automatically generated by ftx.pl from the Liquid Font package,
 * licensed under GPL. */

/* (0,0) = top left
 * pixel(x,y) = (bool)(fontliqminus_data[x].data & (1 << y)) */

#ifndef font_inline
#define font_inline
#endif
#ifndef language_code
#define language_code(LC,UC) 0
#endif
#ifndef glyph_flag
#define glyph_flag(LC,UC) 0
#endif
#ifndef encoding
#define encoding(LC,UC) 0
#endif
#ifndef add_font
#define add_font(X,Y)
#endif
#ifndef code_point_t
#define code_point_t uint32_t
#endif
#ifndef glyph_id_t
#define glyph_id_t uint32_t
#endif
#ifndef column_data_t
#define column_data_t uint32_t
#endif
#ifndef lang_set_t
#define lang_set_t uint32_t
#endif
#ifndef glyph_flags_t
#define glyph_flags_t uint32_t
#endif
#ifndef coord_x_t
#define coord_x_t signed int
#endif
#ifndef coord_y_t
#define coord_y_t signed int
#endif
#ifndef bool_t
#define bool_t signed int
#endif
#ifndef encoding_t
#define encoding_t signed int
#endif
#ifndef bituint8_t
#define bituint8_t unsigned int
#endif
#ifndef bituint16_t
#define bituint16_t unsigned int
#endif
#ifndef bituint32_t
#define bituint32_t unsigned int
#endif

#ifndef glyph_attr_t
#define glyph_attr_t glyph_attr_t
typedef struct _glyph_attr_t {
    lang_set_t      lang_set;
    glyph_flags_t   flags;
    uint8_t         space_col;
    bituint8_t      space_x   :  1;
} glyph_attr_t;
#endif /* glyph_attr_t */

#ifndef font_glyph_7x8_20_1_2_2_3_t
#define font_glyph_7x8_20_1_2_2_3_t font_glyph_7x8_20_1_2_2_3_t
typedef struct _font_glyph_7x8_20_1_2_2_3_t {
    bituint32_t   code  : 20; /* Unicode */
    bituint8_t    split :  1; /* split marker */
    bituint8_t    attr  :  2; /* glyph attributes */
    bituint8_t    first :  2; /* first column to be displayed in proportional mode */
    bituint8_t    last  :  3; /* last  column to be displayed in proportional mode */
    uint8_t       data[6]; /* column data */
} font_glyph_7x8_20_1_2_2_3_t;

#define font_glyph_7x8_20_1_2_2_3_code(R)  ((R)->code)
#define font_glyph_7x8_20_1_2_2_3_split(R) ((R)->split)
#define font_glyph_7x8_20_1_2_2_3_attr(R)  ((R)->attr)
#define font_glyph_7x8_20_1_2_2_3_first(R) ((R)->first)
#define font_glyph_7x8_20_1_2_2_3_last(R)  ((R)->last)

#endif /* font_glyph_7x8_20_1_2_2_3_t */

static glyph_attr_t const fontliqminus_attr[]= {
    { /*lang*/0, 0, /*spc_cp*/0, /*spc_x*/1 },
    { /*lang*/0, glyph_flag(fix_w,FIX_W), /*spc_cp*/0, /*spc_x*/0 },
    { /*lang*/0, glyph_flag(fix_w,FIX_W), /*spc_cp*/0, /*spc_x*/1 },
    { /*lang*/0, glyph_flag(mono,MONO), /*spc_cp*/0, /*spc_x*/1 }
};
static size_t const fontliqminus_attr_nentries= sizeof(fontliqminus_attr)/sizeof(glyph_attr_t);

static font_glyph_7x8_20_1_2_2_3_t const fontliqminus_data[]= {
  { 0x00020UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x00021UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x5e, 0x00, 0x00 } },
  { 0x00022UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x06, 0x00, 0x06, 0x00 } },
  { 0x00023UL, 0, 0UL, 1, 0, { 0x00, 0x24, 0x7e, 0x24, 0x7e, 0x24 } },
  { 0x00024UL, 0, 0UL, 1, 0, { 0x00, 0x48, 0x54, 0xfe, 0x54, 0x24 } },
  { 0x00025UL, 0, 0UL, 1, 1, { 0x00, 0x48, 0x20, 0x10, 0x48, 0x00 } },
  { 0x00026UL, 0, 0UL, 1, 0, { 0x00, 0x34, 0x4a, 0x54, 0x20, 0x50 } },
  { 0x00027UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x06, 0x00, 0x00 } },
  { 0x00028UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x3c, 0x42, 0x00, 0x00 } },
  { 0x00029UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x42, 0x3c, 0x00, 0x00 } },
  { 0x0002aUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x54, 0x38, 0x54, 0x00 } },
  { 0x0002bUL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x10, 0x38, 0x10, 0x00 } },
  { 0x0002cUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x80, 0x60, 0x00, 0x00 } },
  { 0x0002dUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x10, 0x10, 0x00, 0x00 } },
  { 0x0002eUL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x40, 0x00, 0x00 } },
  { 0x0002fUL, 0, 0UL, 1, 2, { 0x00, 0x60, 0x18, 0x06, 0x00, 0x00 } },
  { 0x00030UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x3c, 0x42, 0x3c, 0x00 } },
  { 0x00031UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x04, 0x7e, 0x00, 0x00 } },
  { 0x00032UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x62, 0x52, 0x4c, 0x00 } },
  { 0x00033UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x42, 0x4a, 0x36, 0x00 } },
  { 0x00034UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x1c, 0x10, 0x7e, 0x00 } },
  { 0x00035UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x4e, 0x4a, 0x32, 0x00 } },
  { 0x00036UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x3c, 0x4a, 0x32, 0x00 } },
  { 0x00037UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x02, 0x72, 0x0e, 0x00 } },
  { 0x00038UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x34, 0x4a, 0x34, 0x00 } },
  { 0x00039UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x4c, 0x52, 0x3c, 0x00 } },
  { 0x0003aUL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x48, 0x00, 0x00 } },
  { 0x0003bUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x80, 0x64, 0x00, 0x00 } },
  { 0x0003cUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x10, 0x28, 0x44, 0x00 } },
  { 0x0003dUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x28, 0x28, 0x28, 0x00 } },
  { 0x0003eUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x44, 0x28, 0x10, 0x00 } },
  { 0x0003fUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x52, 0x0a, 0x04, 0x00 } },
  { 0x00040UL, 0, 0UL, 1, 0, { 0x00, 0x7c, 0x82, 0x92, 0xaa, 0x3c } },
  { 0x00041UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7c, 0x12, 0x7c, 0x00 } },
  { 0x00042UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x4a, 0x34, 0x00 } },
  { 0x00043UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3c, 0x42, 0x42, 0x00 } },
  { 0x00044UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x42, 0x3c, 0x00 } },
  { 0x00045UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x4a, 0x42, 0x00 } },
  { 0x00046UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x0a, 0x02, 0x00 } },
  { 0x00047UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3c, 0x42, 0x72, 0x00 } },
  { 0x00048UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x08, 0x7e, 0x00 } },
  { 0x00049UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x7e, 0x00, 0x00 } },
  { 0x00049UL, 0, 3UL, 2, 1, { 0x00, 0x00, 0x42, 0x7e, 0x42, 0x00 } },
  { 0x0004aUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x80, 0x7e, 0x00, 0x00 } },
  { 0x0004bUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x08, 0x76, 0x00 } },
  { 0x0004cUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x40, 0x40, 0x00 } },
  { 0x0004dUL, 0, 0UL, 1, 0, { 0x00, 0x7e, 0x04, 0x08, 0x04, 0x7e } },
  { 0x0004eUL, 0, 0UL, 1, 1, { 0x00, 0x7e, 0x04, 0x08, 0x7e, 0x00 } },
  { 0x0004fUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3c, 0x42, 0x3c, 0x00 } },
  { 0x00050UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x12, 0x0c, 0x00 } },
  { 0x00051UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3c, 0xc2, 0xbc, 0x00 } },
  { 0x00052UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x12, 0x6c, 0x00 } },
  { 0x00053UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x44, 0x4a, 0x32, 0x00 } },
  { 0x00054UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x02, 0x7e, 0x02, 0x00 } },
  { 0x00055UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3e, 0x40, 0x7e, 0x00 } },
  { 0x00056UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x20, 0x1e, 0x00 } },
  { 0x00057UL, 0, 0UL, 1, 0, { 0x00, 0x3e, 0x40, 0x30, 0x40, 0x3e } },
  { 0x00058UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x66, 0x18, 0x66, 0x00 } },
  { 0x00059UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x0e, 0x70, 0x0e, 0x00 } },
  { 0x0005aUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x62, 0x5a, 0x46, 0x00 } },
  { 0x0005bUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x7e, 0x42, 0x00, 0x00 } },
  { 0x0005cUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x06, 0x18, 0x60, 0x00 } },
  { 0x0005dUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x42, 0x7e, 0x00, 0x00 } },
  { 0x0005eUL, 0, 0UL, 1, 0, { 0x00, 0x08, 0x04, 0x7e, 0x04, 0x08 } },
  { 0x0005fUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x80, 0x80, 0x80, 0x00 } },
  { 0x00060UL, 0, 0UL, 1, 1, { 0x00, 0x48, 0x7c, 0x4a, 0x42, 0x00 } },
  { 0x00061UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x20, 0x54, 0x78, 0x00 } },
  { 0x00062UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x44, 0x38, 0x00 } },
  { 0x00063UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x38, 0x44, 0x00, 0x00 } },
  { 0x00064UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x38, 0x44, 0x7e, 0x00 } },
  { 0x00065UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x38, 0x54, 0x4c, 0x00 } },
  { 0x00066UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x7c, 0x0a, 0x00, 0x00 } },
  { 0x00067UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x98, 0xa4, 0x7c, 0x00 } },
  { 0x00068UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x04, 0x78, 0x00 } },
  { 0x00069UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x7a, 0x00, 0x00 } },
  { 0x0006aUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x80, 0x7a, 0x00, 0x00 } },
  { 0x0006bUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7e, 0x18, 0x64, 0x00 } },
  { 0x0006cUL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x7e, 0x00, 0x00 } },
  { 0x0006dUL, 0, 0UL, 1, 0, { 0x00, 0x7c, 0x04, 0x7c, 0x04, 0x78 } },
  { 0x0006eUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7c, 0x04, 0x78, 0x00 } },
  { 0x0006fUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x38, 0x44, 0x38, 0x00 } },
  { 0x00070UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0xfc, 0x44, 0x78, 0x00 } },
  { 0x00071UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x38, 0x24, 0xfc, 0x00 } },
  { 0x00072UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x78, 0x04, 0x00, 0x00 } },
  { 0x00073UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x48, 0x54, 0x24, 0x00 } },
  { 0x00074UL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x3e, 0x44, 0x00, 0x00 } },
  { 0x00075UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x3c, 0x40, 0x7c, 0x00 } },
  { 0x00076UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x7c, 0x20, 0x1c, 0x00 } },
  { 0x00077UL, 0, 0UL, 1, 0, { 0x00, 0x3c, 0x40, 0x38, 0x40, 0x3c } },
  { 0x00078UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x6c, 0x10, 0x6c, 0x00 } },
  { 0x00079UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x1c, 0xa0, 0x7c, 0x00 } },
  { 0x0007aUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x64, 0x54, 0x4c, 0x00 } },
  { 0x0007bUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x08, 0x76, 0x42, 0x00 } },
  { 0x0007cUL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x7e, 0x00, 0x00 } },
  { 0x0007dUL, 0, 0UL, 1, 2, { 0x00, 0x42, 0x76, 0x08, 0x00, 0x00 } },
  { 0x0007eUL, 0, 0UL, 1, 1, { 0x00, 0x04, 0x02, 0x04, 0x02, 0x00 } },
  { 0x000a0UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x000a1UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x7a, 0x00, 0x00 } },
  { 0x000a2UL, 0, 0UL, 1, 0, { 0x00, 0x18, 0x24, 0x66, 0x24, 0x24 } },
  { 0x000a3UL, 0, 0UL, 1, 0, { 0x00, 0x48, 0x7c, 0x4a, 0x42, 0x44 } },
  { 0x000a5UL, 0, 0UL, 0, 1, { 0x29, 0x2a, 0x7c, 0x2a, 0x29, 0x00 } },
  { 0x000a7UL, 0, 0UL, 1, 1, { 0x00, 0x4a, 0x55, 0x55, 0x29, 0x00 } },
  { 0x000aaUL, 0, 0UL, 1, 1, { 0x00, 0x26, 0x29, 0x29, 0x2f, 0x00 } },
  { 0x000abUL, 0, 0UL, 0, 0, { 0x08, 0x14, 0x22, 0x08, 0x14, 0x22 } },
  { 0x000acUL, 0, 0UL, 0, 1, { 0x08, 0x08, 0x08, 0x08, 0x38, 0x00 } },
  { 0x000b0UL, 0, 0UL, 1, 1, { 0x00, 0x06, 0x09, 0x09, 0x06, 0x00 } },
  { 0x000b1UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x24, 0x2e, 0x24, 0x00 } },
  { 0x000b2UL, 0, 0UL, 1, 1, { 0x00, 0x11, 0x19, 0x15, 0x12, 0x00 } },
  { 0x000b5UL, 0, 0UL, 1, 1, { 0x00, 0xfc, 0x20, 0x20, 0x1c, 0x00 } },
  { 0x000b6UL, 0, 0UL, 1, 0, { 0x00, 0x04, 0x0a, 0x7e, 0x02, 0x7e } },
  { 0x000b7UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x08, 0x00, 0x00 } },
  { 0x000baUL, 0, 0UL, 1, 1, { 0x00, 0x26, 0x29, 0x29, 0x26, 0x00 } },
  { 0x000bbUL, 0, 0UL, 0, 0, { 0x22, 0x14, 0x08, 0x22, 0x14, 0x08 } },
  { 0x000bcUL, 0, 0UL, 0, 5, { 0x2f, 0x10, 0x08, 0x64, 0x52, 0xf9 } },
  { 0x000bcUL, 1, 0UL, 0, 5, { 0x40, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x000bdUL, 0, 0UL, 0, 5, { 0x2f, 0x10, 0x08, 0xc4, 0xaa, 0xa9 } },
  { 0x000bdUL, 1, 0UL, 0, 5, { 0x90, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x000bfUL, 0, 0UL, 1, 0, { 0x00, 0x20, 0x50, 0x4a, 0x40, 0x20 } },
  { 0x000c4UL, 0, 0UL, 1, 0, { 0x00, 0x7d, 0x12, 0x12, 0x12, 0x7d } },
  { 0x000c5UL, 0, 0UL, 1, 0, { 0x00, 0x78, 0x17, 0x15, 0x17, 0x78 } },
  { 0x000c6UL, 0, 0UL, 0, 0, { 0x7c, 0x0a, 0x09, 0x7f, 0x49, 0x41 } },
  { 0x000c7UL, 0, 0UL, 1, 0, { 0x00, 0x3c, 0x42, 0xc2, 0x42, 0x24 } },
  { 0x000c9UL, 0, 0UL, 1, 0, { 0x00, 0x7e, 0x4a, 0x4b, 0x4b, 0x42 } },
  { 0x000d1UL, 0, 0UL, 1, 0, { 0x00, 0x7c, 0x09, 0x11, 0x21, 0x7c } },
  { 0x000d6UL, 0, 0UL, 1, 0, { 0x00, 0x3d, 0x42, 0x42, 0x42, 0x3d } },
  { 0x000dcUL, 0, 0UL, 1, 0, { 0x00, 0x3d, 0x40, 0x40, 0x40, 0x3d } },
  { 0x000dfUL, 0, 0UL, 1, 0, { 0x00, 0x7c, 0x0a, 0x4a, 0x4c, 0x30 } },
  { 0x000e0UL, 0, 0UL, 1, 1, { 0x00, 0x21, 0x55, 0x54, 0x78, 0x00 } },
  { 0x000e1UL, 0, 0UL, 1, 1, { 0x00, 0x20, 0x54, 0x55, 0x79, 0x00 } },
  { 0x000e2UL, 0, 0UL, 1, 1, { 0x00, 0x21, 0x55, 0x55, 0x79, 0x00 } },
  { 0x000e4UL, 0, 0UL, 1, 1, { 0x00, 0x21, 0x54, 0x54, 0x79, 0x00 } },
  { 0x000e5UL, 0, 0UL, 1, 1, { 0x00, 0x22, 0x55, 0x55, 0x7a, 0x00 } },
  { 0x000e6UL, 0, 0UL, 0, 5, { 0x20, 0x54, 0x54, 0x7c, 0x54, 0x54 } },
  { 0x000e6UL, 1, 0UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x000e7UL, 0, 0UL, 1, 1, { 0x00, 0x38, 0x44, 0xc4, 0x44, 0x00 } },
  { 0x000e8UL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x55, 0x54, 0x48, 0x00 } },
  { 0x000e9UL, 0, 0UL, 1, 1, { 0x00, 0x38, 0x54, 0x55, 0x49, 0x00 } },
  { 0x000eaUL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x55, 0x55, 0x49, 0x00 } },
  { 0x000ebUL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x54, 0x54, 0x49, 0x00 } },
  { 0x000ecUL, 0, 0UL, 2, 2, { 0x00, 0x00, 0x01, 0x7a, 0x00, 0x00 } },
  { 0x000edUL, 0, 0UL, 3, 1, { 0x00, 0x00, 0x00, 0x7a, 0x01, 0x00 } },
  { 0x000eeUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x02, 0x79, 0x02, 0x00 } },
  { 0x000efUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x02, 0x78, 0x02, 0x00 } },
  { 0x000f1UL, 0, 0UL, 1, 1, { 0x00, 0x7d, 0x05, 0x05, 0x79, 0x00 } },
  { 0x000f2UL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x45, 0x44, 0x38, 0x00 } },
  { 0x000f3UL, 0, 0UL, 1, 1, { 0x00, 0x38, 0x44, 0x45, 0x39, 0x00 } },
  { 0x000f4UL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x45, 0x45, 0x39, 0x00 } },
  { 0x000f6UL, 0, 0UL, 1, 1, { 0x00, 0x39, 0x44, 0x44, 0x39, 0x00 } },
  { 0x000f7UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x08, 0x2a, 0x08, 0x00 } },
  { 0x000f9UL, 0, 0UL, 1, 1, { 0x00, 0x3d, 0x42, 0x40, 0x3c, 0x00 } },
  { 0x000faUL, 0, 0UL, 1, 1, { 0x00, 0x3c, 0x40, 0x42, 0x3d, 0x00 } },
  { 0x000fbUL, 0, 0UL, 1, 1, { 0x00, 0x3a, 0x41, 0x41, 0x3a, 0x00 } },
  { 0x000fcUL, 0, 0UL, 1, 1, { 0x00, 0x3d, 0x40, 0x40, 0x3d, 0x00 } },
  { 0x000ffUL, 0, 0UL, 1, 1, { 0x00, 0x1d, 0xa0, 0xa0, 0x7d, 0x00 } },
  { 0x00192UL, 0, 0UL, 1, 0, { 0x00, 0x20, 0x48, 0x3e, 0x09, 0x02 } },
  { 0x00393UL, 0, 0UL, 1, 0, { 0x00, 0x7e, 0x02, 0x02, 0x02, 0x04 } },
  { 0x00398UL, 0, 0UL, 1, 1, { 0x00, 0x3c, 0x4a, 0x4a, 0x3c, 0x00 } },
  { 0x003a3UL, 0, 0UL, 1, 0, { 0x00, 0x62, 0x56, 0x4a, 0x42, 0x42 } },
  { 0x003a6UL, 0, 0UL, 1, 0, { 0x00, 0x5a, 0x66, 0x7e, 0x66, 0x5a } },
  { 0x003a9UL, 0, 0UL, 1, 0, { 0x00, 0x4c, 0x72, 0x02, 0x72, 0x4c } },
  { 0x003b1UL, 0, 0UL, 1, 0, { 0x00, 0x38, 0x44, 0x44, 0x38, 0x44 } },
  { 0x003b4UL, 0, 0UL, 1, 0, { 0x00, 0x30, 0x48, 0x4e, 0x4a, 0x32 } },
  { 0x003b5UL, 0, 0UL, 1, 1, { 0x00, 0x3c, 0x4a, 0x4a, 0x4a, 0x00 } },
  { 0x003c0UL, 0, 0UL, 1, 0, { 0x00, 0x04, 0x7c, 0x04, 0x7c, 0x04 } },
  { 0x003c3UL, 0, 0UL, 1, 0, { 0x00, 0x38, 0x44, 0x44, 0x38, 0x04 } },
  { 0x003c4UL, 0, 0UL, 1, 0, { 0x00, 0x04, 0x08, 0x78, 0x04, 0x08 } },
  { 0x003c6UL, 0, 0UL, 1, 0, { 0x00, 0x10, 0x28, 0xfe, 0x28, 0x10 } },
  { 0x02007UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02012UL, 0, 2UL, 2, 1, { 0x00, 0x00, 0x10, 0x10, 0x10, 0x00 } },
  { 0x02022UL, 0, 0UL, 1, 1, { 0x00, 0x18, 0x3c, 0x3c, 0x18, 0x00 } },
  { 0x0203bUL, 0, 0UL, 0, 0, { 0x1c, 0x22, 0x5d, 0x55, 0x22, 0x1c } },
  { 0x0203cUL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x5e, 0x00, 0x5e, 0x00 } },
  { 0x0207fUL, 0, 0UL, 1, 1, { 0x00, 0x0f, 0x01, 0x01, 0x0e, 0x00 } },
  { 0x020a7UL, 0, 0UL, 0, 0, { 0x7f, 0x09, 0x09, 0x16, 0x38, 0x50 } },
  { 0x02190UL, 0, 0UL, 1, 0, { 0x00, 0x10, 0x38, 0x7c, 0x10, 0x10 } },
  { 0x02191UL, 0, 0UL, 1, 0, { 0x00, 0x08, 0x0c, 0xfe, 0x0c, 0x08 } },
  { 0x02192UL, 0, 0UL, 1, 0, { 0x00, 0x10, 0x10, 0x7c, 0x38, 0x10 } },
  { 0x02193UL, 0, 0UL, 1, 0, { 0x00, 0x20, 0x60, 0xfe, 0x60, 0x20 } },
  { 0x02194UL, 0, 0UL, 0, 0, { 0x10, 0x38, 0x10, 0x10, 0x38, 0x10 } },
  { 0x02195UL, 0, 0UL, 1, 0, { 0x00, 0x28, 0x6c, 0xfe, 0x6c, 0x28 } },
  { 0x021a8UL, 0, 0UL, 1, 0, { 0x00, 0x94, 0xb6, 0xff, 0xb6, 0x94 } },
  { 0x02219UL, 0, 0UL, 3, 2, { 0x00, 0x00, 0x00, 0x18, 0x00, 0x00 } },
  { 0x0221aUL, 0, 0UL, 1, 5, { 0x00, 0x10, 0x20, 0x40, 0xff, 0x01 } },
  { 0x0221aUL, 1, 0UL, 1, 5, { 0x01, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0221eUL, 0, 0UL, 1, 0, { 0x00, 0x18, 0x24, 0x3c, 0x24, 0x18 } },
  { 0x0221fUL, 0, 0UL, 1, 0, { 0x00, 0x3c, 0x20, 0x20, 0x20, 0x20 } },
  { 0x02229UL, 0, 0UL, 1, 1, { 0x00, 0x7c, 0x02, 0x02, 0x7c, 0x00 } },
  { 0x02248UL, 0, 0UL, 1, 1, { 0x00, 0x24, 0x12, 0x24, 0x12, 0x00 } },
  { 0x02261UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x2a, 0x2a, 0x2a, 0x00 } },
  { 0x02264UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x44, 0x4a, 0x51, 0x00 } },
  { 0x02265UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x51, 0x4a, 0x44, 0x00 } },
  { 0x02310UL, 0, 0UL, 0, 1, { 0x38, 0x08, 0x08, 0x08, 0x08, 0x00 } },
  { 0x02320UL, 0, 2UL, 1, 0, { 0x00, 0x00, 0x00, 0xfe, 0x01, 0x02 } },
  { 0x02321UL, 0, 2UL, 1, 0, { 0x00, 0x60, 0x80, 0x7f, 0x00, 0x00 } },
  { 0x02500UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0x08, 0x08, 0x08 } },
  { 0x02500UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02502UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0xff, 0x00, 0x00 } },
  { 0x02502UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0250cUL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0xf8, 0x08, 0x08 } },
  { 0x0250cUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02510UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0xf8, 0x00, 0x00 } },
  { 0x02510UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02514UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x0f, 0x08, 0x08 } },
  { 0x02514UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02518UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0x0f, 0x00, 0x00 } },
  { 0x02518UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0251cUL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0xff, 0x08, 0x08 } },
  { 0x0251cUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02524UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0xff, 0x00, 0x00 } },
  { 0x02524UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0252cUL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0xf8, 0x08, 0x08 } },
  { 0x0252cUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02534UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0x0f, 0x08, 0x08 } },
  { 0x02534UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0253cUL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x08, 0xff, 0x08, 0x08 } },
  { 0x0253cUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02550UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0x14, 0x14, 0x14 } },
  { 0x02550UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02551UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0xff, 0x00, 0xff, 0x00 } },
  { 0x02551UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02552UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0xfc, 0x14, 0x14 } },
  { 0x02552UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02553UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0xf8, 0x08, 0xf8, 0x08 } },
  { 0x02553UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02554UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0xfc, 0x04, 0xf4, 0x14 } },
  { 0x02554UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02555UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0xfc, 0x00, 0x00 } },
  { 0x02555UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02556UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0xf8, 0x08, 0xf8, 0x00 } },
  { 0x02556UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02557UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0xf4, 0x04, 0xfc, 0x00 } },
  { 0x02557UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02558UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x1f, 0x14, 0x14 } },
  { 0x02558UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02559UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x0f, 0x08, 0x0f, 0x08 } },
  { 0x02559UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255aUL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x1f, 0x10, 0x17, 0x14 } },
  { 0x0255aUL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255bUL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0x1f, 0x00, 0x00 } },
  { 0x0255bUL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255cUL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x0f, 0x08, 0x0f, 0x00 } },
  { 0x0255cUL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255dUL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x17, 0x10, 0x1f, 0x00 } },
  { 0x0255dUL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255eUL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0xff, 0x14, 0x14 } },
  { 0x0255eUL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0255fUL, 0, 1UL, 0, 5, { 0x00, 0x00, 0xff, 0x00, 0xff, 0x08 } },
  { 0x0255fUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02560UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0xff, 0x00, 0xf7, 0x14 } },
  { 0x02560UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02561UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0xff, 0x00, 0x00 } },
  { 0x02561UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02562UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0xff, 0x00, 0xff, 0x00 } },
  { 0x02562UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02563UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0xf7, 0x00, 0xff, 0x00 } },
  { 0x02563UL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02564UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0xf4, 0x14, 0x14 } },
  { 0x02564UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02565UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0xf8, 0x08, 0xf8, 0x08 } },
  { 0x02565UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02566UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0xf4, 0x04, 0xf4, 0x14 } },
  { 0x02566UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02567UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0x17, 0x14, 0x14 } },
  { 0x02567UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02568UL, 0, 1UL, 0, 5, { 0x08, 0x08, 0x0f, 0x08, 0x0f, 0x08 } },
  { 0x02568UL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02569UL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x17, 0x10, 0x17, 0x14 } },
  { 0x02569UL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0256aUL, 0, 1UL, 0, 5, { 0x14, 0x14, 0x14, 0xff, 0x14, 0x14 } },
  { 0x0256aUL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0256bUL, 0, 1UL, 0, 5, { 0x08, 0x08, 0xff, 0x08, 0xff, 0x08 } },
  { 0x0256bUL, 1, 1UL, 0, 5, { 0x08, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0256cUL, 0, 1UL, 0, 5, { 0x14, 0x14, 0xf7, 0x00, 0xf7, 0x14 } },
  { 0x0256cUL, 1, 1UL, 0, 5, { 0x14, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02580UL, 0, 1UL, 0, 5, { 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f } },
  { 0x02580UL, 1, 1UL, 0, 5, { 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02584UL, 0, 1UL, 0, 5, { 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0 } },
  { 0x02584UL, 1, 1UL, 0, 5, { 0xf0, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02588UL, 0, 1UL, 0, 5, { 0xff, 0xff, 0xff, 0xff, 0xff, 0xff } },
  { 0x02588UL, 1, 1UL, 0, 5, { 0xff, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x0258cUL, 0, 1UL, 0, 5, { 0xff, 0xff, 0xff, 0xff, 0x00, 0x00 } },
  { 0x0258cUL, 1, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02590UL, 0, 1UL, 0, 5, { 0x00, 0x00, 0x00, 0x00, 0xff, 0xff } },
  { 0x02590UL, 1, 1UL, 0, 5, { 0xff, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02591UL, 0, 1UL, 0, 5, { 0xaa, 0x00, 0x55, 0x00, 0xaa, 0x00 } },
  { 0x02591UL, 1, 1UL, 0, 5, { 0x55, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02592UL, 0, 1UL, 0, 5, { 0xaa, 0x55, 0xaa, 0x55, 0xaa, 0x55 } },
  { 0x02592UL, 1, 1UL, 0, 5, { 0xaa, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02593UL, 0, 1UL, 0, 5, { 0xdd, 0xff, 0xaa, 0x77, 0xdd, 0xaa } },
  { 0x02593UL, 1, 1UL, 0, 5, { 0xff, 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x025a0UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x1c, 0x1c, 0x1c, 0x00 } },
  { 0x025acUL, 0, 0UL, 1, 1, { 0x00, 0x70, 0x70, 0x70, 0x70, 0x00 } },
  { 0x025b2UL, 0, 0UL, 1, 0, { 0x00, 0x20, 0x30, 0x38, 0x30, 0x20 } },
  { 0x025b6UL, 0, 0UL, 1, 1, { 0x00, 0xfe, 0x7c, 0x38, 0x10, 0x00 } },
  { 0x025bcUL, 0, 0UL, 1, 0, { 0x00, 0x08, 0x18, 0x38, 0x18, 0x08 } },
  { 0x025c0UL, 0, 0UL, 1, 1, { 0x00, 0x10, 0x38, 0x7c, 0xfe, 0x00 } },
  { 0x025cbUL, 0, 0UL, 1, 1, { 0x00, 0x18, 0x24, 0x24, 0x18, 0x00 } },
  { 0x025d8UL, 0, 0UL, 0, 0, { 0xff, 0xe7, 0xc3, 0xc3, 0xe7, 0xff } },
  { 0x025d9UL, 0, 0UL, 0, 0, { 0xff, 0xe7, 0xdb, 0xdb, 0xe7, 0xff } },
  { 0x0263aUL, 0, 0UL, 0, 0, { 0x7c, 0xf6, 0xde, 0xde, 0xf6, 0x7c } },
  { 0x0263bUL, 0, 0UL, 0, 0, { 0x7c, 0x8a, 0xa2, 0xa2, 0x8a, 0x7c } },
  { 0x02640UL, 0, 0UL, 2, 1, { 0x00, 0x00, 0x2c, 0x72, 0x2c, 0x00 } },
  { 0x02642UL, 0, 0UL, 0, 0, { 0x60, 0x90, 0x90, 0x7a, 0x06, 0x0e } },
  { 0x02660UL, 0, 0UL, 1, 0, { 0x00, 0x58, 0x7c, 0x7e, 0x7c, 0x58 } },
  { 0x02663UL, 0, 0UL, 0, 0, { 0x08, 0x5a, 0x7f, 0x7f, 0x5a, 0x08 } },
  { 0x02665UL, 0, 0UL, 1, 0, { 0x00, 0x1c, 0x3e, 0x7c, 0x3e, 0x1c } },
  { 0x02666UL, 0, 0UL, 1, 0, { 0x00, 0x18, 0x3c, 0x7e, 0x3c, 0x18 } },
  { 0x0266aUL, 0, 0UL, 1, 0, { 0x00, 0x60, 0x70, 0x3e, 0x02, 0x04 } },
  { 0x0266bUL, 0, 0UL, 0, 0, { 0x40, 0x60, 0x3e, 0x02, 0x32, 0x1e } },
  { 0x0fffdUL, 0, 0UL, 0, 0, { 0x7e, 0xff, 0xad, 0xf5, 0xfb, 0x7e } },
  { 0xf0600UL, 0, 0UL, 1, 1, { 0x00, 0x7e, 0x42, 0x42, 0x7e, 0x00 } },
  { 0xf0601UL, 0, 0UL, 0, 0, { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 } }
/*   11 times width 1 */
/*   15 times width 2 */
/*   75 times width 3 */
/*   41 times width 4 */
/*   51 times width 5 */
/*   15 times width 6 */
/*   51 times width 7 */
};
static size_t const fontliqminus_nentries= sizeof(fontliqminus_data)/sizeof(font_glyph_7x8_20_1_2_2_3_t) - 1;

static int fontliqminus_cmp1 (void const *_key, void const *_elem)
{
    code_point_t key= *(code_point_t const *)_key;
    font_glyph_7x8_20_1_2_2_3_t const *elem= (font_glyph_7x8_20_1_2_2_3_t const *)_elem;
    if (key != font_glyph_7x8_20_1_2_2_3_code(elem))
        return key < font_glyph_7x8_20_1_2_2_3_code(elem) ? -1 : +1;
    return 0;
}

static glyph_id_t fontliqminus_first_glyph (code_point_t code)
{
    font_glyph_7x8_20_1_2_2_3_t const *r= (font_glyph_7x8_20_1_2_2_3_t const *)bsearch(
        &code,
        (void const *)&fontliqminus_data, fontliqminus_nentries, sizeof(font_glyph_7x8_20_1_2_2_3_t),
        fontliqminus_cmp1);
    if (!r) return 0;
    while (r > fontliqminus_data && font_glyph_7x8_20_1_2_2_3_code(r-1) == code) --r;
    return 1 + (r - fontliqminus_data);
}

static code_point_t fontliqminus_compose (
    code_point_t c1, code_point_t c2, bool_t force)
{
    (void)c1;
    (void)c2;
    (void)force;
    return 0;
}

static font_inline font_glyph_7x8_20_1_2_2_3_t const *fontliqminus_glyph(glyph_id_t glyph)
{
    assert (glyph >= 1 && glyph <= fontliqminus_nentries + 1);
    return fontliqminus_data - 1 + glyph;
}

static glyph_id_t fontliqminus_next_glyph (glyph_id_t glyph)
{
    code_point_t code= font_glyph_7x8_20_1_2_2_3_code(fontliqminus_glyph(glyph));
    ++glyph;
    if (font_glyph_7x8_20_1_2_2_3_split(fontliqminus_glyph(glyph))) ++glyph;
    assert(!font_glyph_7x8_20_1_2_2_3_split(fontliqminus_glyph(glyph)));
    if (font_glyph_7x8_20_1_2_2_3_code(fontliqminus_glyph(glyph)) == code) return glyph;
    return 0;
}

static coord_x_t fontliqminus_glyph_x1 (glyph_id_t glyph)
{
    (void)glyph; /*might be unused*/
    return font_glyph_7x8_20_1_2_2_3_first(fontliqminus_glyph(glyph));
}

static coord_x_t fontliqminus_glyph_x2 (glyph_id_t glyph_no)
{
    font_glyph_7x8_20_1_2_2_3_t const *glyph= fontliqminus_glyph(glyph_no);
    coord_x_t x2= 5 - font_glyph_7x8_20_1_2_2_3_last(glyph);
    if (font_glyph_7x8_20_1_2_2_3_split(glyph+1)) x2+= 6;
    return x2;
}

static column_data_t fontliqminus_glyph_data (glyph_id_t glyph_no, coord_x_t i)
{
    font_glyph_7x8_20_1_2_2_3_t const *glyph= fontliqminus_glyph(glyph_no);
    assert (i >= 0 && i < 12);
    return i >= 6 ? glyph[1].data[i - 6] : glyph[0].data[i];
}

static lang_set_t fontliqminus_glyph_lang_set (lang_set_t glyph)
{
    assert (font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph)) < fontliqminus_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqminus_attr[font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph))].lang_set;
}

static column_data_t fontliqminus_glyph_space_col (glyph_id_t glyph)
{
    assert (font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph)) < fontliqminus_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqminus_attr[font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph))].space_col;
}

static coord_x_t fontliqminus_glyph_space_x (glyph_id_t glyph)
{
    assert (font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph)) < fontliqminus_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqminus_attr[font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph))].space_x;
}

static glyph_flags_t fontliqminus_glyph_flags (glyph_id_t glyph)
{
    assert (font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph)) < fontliqminus_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqminus_attr[font_glyph_7x8_20_1_2_2_3_attr(fontliqminus_glyph(glyph))].flags;
}

#ifndef font_class_t
#define font_class_t font_class_t
typedef struct _font_class_t {
    int             api;
    char const *    name;
    encoding_t      encoding;
    coord_x_t       width;
    coord_y_t       height;
    coord_x_t       bitwidth;
    coord_x_t       max_overlap;
    coord_x_t       space_x;
    bool_t          mono;
    code_point_t  (*compose)         (code_point_t, code_point_t, bool_t);
    bool_t        (*first_glyph)     (glyph_id_t *, glyph_id_t *, code_point_t);
    glyph_id_t    (*next_glyph)      (glyph_id_t);
    coord_x_t     (*glyph_x1)        (glyph_id_t);
    coord_x_t     (*glyph_x2)        (glyph_id_t);
    column_data_t (*glyph_data)      (glyph_id_t, coord_x_t);
    lang_set_t    (*glyph_lang_set)  (glyph_id_t);
    column_data_t (*glyph_space_col) (glyph_id_t);
    coord_x_t     (*glyph_space_x)   (glyph_id_t);
    glyph_flags_t (*glyph_flags)     (glyph_id_t);
} font_class_t;
#endif /* font_class_t */

static font_class_t const fontliqminus_obj= {
    1, /* API version */
    "liqminus",
    encoding(unicode,UNICODE),
    6,
    8,
    7,
    3,
    1,
    0,
    &fontliqminus_compose,
    &fontliqminus_first_glyph,
    &fontliqminus_next_glyph,
    &fontliqminus_glyph_x1,
    &fontliqminus_glyph_x2,
    &fontliqminus_glyph_data,
    &fontliqminus_glyph_lang_set,
    &fontliqminus_glyph_space_col,
    &fontliqminus_glyph_space_x,
    &fontliqminus_glyph_flags
};
add_font (liqminus, fontliqminus_obj)
static font_class_t const fontliqminusmono_obj= {
    1, /* API version */
    "liqminusmono",
    encoding(unicode,UNICODE),
    6,
    8,
    7,
    3,
    1,
    1,
    &fontliqminus_compose,
    &fontliqminus_first_glyph,
    &fontliqminus_next_glyph,
    &fontliqminus_glyph_x1,
    &fontliqminus_glyph_x2,
    &fontliqminus_glyph_data,
    &fontliqminus_glyph_lang_set,
    &fontliqminus_glyph_space_col,
    &fontliqminus_glyph_space_x,
    &fontliqminus_glyph_flags
};
add_font (liqminusmono, fontliqminusmono_obj)


/* END: automatically generated */
