/* -*- Mode: C -*- */

/* COPYING
 * Liquid Rendering Library
 * (c) 2009 by Henrik Theiling
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "internal.h"
#include <liquid/ftxdef.h>

#define font_inline           INLINE
#define add_font(X,Y)         LiqFont const *const liq_font_##X = &Y;

/* BEGIN: automatically generated */
/* Automatically generated by ftx.pl from the Liquid Font package,
 * licensed under GPL. */

/* (0,0) = top left
 * pixel(x,y) = (bool)(fontliqwee_data[x].data & (1 << y)) */

#ifndef font_inline
#define font_inline
#endif
#ifndef language_code
#define language_code(LC,UC) 0
#endif
#ifndef glyph_flag
#define glyph_flag(LC,UC) 0
#endif
#ifndef encoding
#define encoding(LC,UC) 0
#endif
#ifndef add_font
#define add_font(X,Y)
#endif
#ifndef code_point_t
#define code_point_t uint32_t
#endif
#ifndef glyph_id_t
#define glyph_id_t uint32_t
#endif
#ifndef column_data_t
#define column_data_t uint32_t
#endif
#ifndef lang_set_t
#define lang_set_t uint32_t
#endif
#ifndef glyph_flags_t
#define glyph_flags_t uint32_t
#endif
#ifndef coord_x_t
#define coord_x_t signed int
#endif
#ifndef coord_y_t
#define coord_y_t signed int
#endif
#ifndef bool_t
#define bool_t signed int
#endif
#ifndef encoding_t
#define encoding_t signed int
#endif
#ifndef bituint8_t
#define bituint8_t unsigned int
#endif
#ifndef bituint16_t
#define bituint16_t unsigned int
#endif
#ifndef bituint32_t
#define bituint32_t unsigned int
#endif

#ifndef glyph_attr_t
#define glyph_attr_t glyph_attr_t
typedef struct _glyph_attr_t {
    lang_set_t      lang_set;
    glyph_flags_t   flags;
    bituint8_t      space_col :  6;
    bituint8_t      space_x   :  1;
} glyph_attr_t;
#endif /* glyph_attr_t */

#ifndef font_glyph_5x6_20_0_1_2_2_t
#define font_glyph_5x6_20_0_1_2_2_t font_glyph_5x6_20_0_1_2_2_t
typedef struct _font_glyph_5x6_20_0_1_2_2_t {
    bituint32_t   code  : 20; /* Unicode */
 /* bituint8_t    split :  0;    split marker */
    bituint8_t    attr  :  1; /* glyph attributes */
    bituint8_t    first :  2; /* first column to be displayed in proportional mode */
    bituint8_t    last  :  2; /* last  column to be displayed in proportional mode */
    uint8_t       data[5]; /* column data */
} font_glyph_5x6_20_0_1_2_2_t;

#define font_glyph_5x6_20_0_1_2_2_code(R)  ((R)->code)
#define font_glyph_5x6_20_0_1_2_2_split(R) 0
#define font_glyph_5x6_20_0_1_2_2_attr(R)  ((R)->attr)
#define font_glyph_5x6_20_0_1_2_2_first(R) ((R)->first)
#define font_glyph_5x6_20_0_1_2_2_last(R)  ((R)->last)

#endif /* font_glyph_5x6_20_0_1_2_2_t */

static glyph_attr_t const fontliqwee_attr[]= {
    { /*lang*/0, 0, /*spc_cp*/0, /*spc_x*/1 },
    { /*lang*/0, glyph_flag(fix_w,FIX_W), /*spc_cp*/0, /*spc_x*/1 }
};
static size_t const fontliqwee_attr_nentries= sizeof(fontliqwee_attr)/sizeof(glyph_attr_t);

static font_glyph_5x6_20_0_1_2_2_t const fontliqwee_data[]= {
  { 0x00020UL, 1UL, 1, 1, { 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x00021UL, 0UL, 2, 2, { 0x00, 0x00, 0x16, 0x00, 0x00 } },
  { 0x00022UL, 0UL, 1, 1, { 0x00, 0x06, 0x00, 0x06, 0x00 } },
  { 0x00027UL, 0UL, 2, 2, { 0x00, 0x00, 0x06, 0x00, 0x00 } },
  { 0x00028UL, 0UL, 2, 1, { 0x00, 0x00, 0x0c, 0x12, 0x00 } },
  { 0x00029UL, 0UL, 1, 2, { 0x00, 0x12, 0x0c, 0x00, 0x00 } },
  { 0x0002aUL, 0UL, 1, 1, { 0x00, 0x0a, 0x04, 0x0a, 0x00 } },
  { 0x0002bUL, 1UL, 1, 1, { 0x00, 0x08, 0x1c, 0x08, 0x00 } },
  { 0x0002cUL, 0UL, 2, 2, { 0x00, 0x00, 0x30, 0x00, 0x00 } },
  { 0x0002dUL, 0UL, 1, 2, { 0x00, 0x08, 0x08, 0x00, 0x00 } },
  { 0x0002eUL, 0UL, 2, 2, { 0x00, 0x00, 0x10, 0x00, 0x00 } },
  { 0x0002fUL, 0UL, 1, 2, { 0x00, 0x18, 0x06, 0x00, 0x00 } },
  { 0x00030UL, 1UL, 1, 1, { 0x00, 0x0c, 0x12, 0x0c, 0x00 } },
  { 0x00031UL, 1UL, 1, 1, { 0x00, 0x04, 0x1e, 0x00, 0x00 } },
  { 0x00032UL, 1UL, 1, 1, { 0x00, 0x12, 0x1a, 0x14, 0x00 } },
  { 0x00033UL, 1UL, 1, 1, { 0x00, 0x12, 0x16, 0x0c, 0x00 } },
  { 0x00034UL, 1UL, 1, 1, { 0x00, 0x0c, 0x08, 0x1e, 0x00 } },
  { 0x00035UL, 1UL, 1, 1, { 0x00, 0x16, 0x12, 0x0a, 0x00 } },
  { 0x00036UL, 1UL, 1, 1, { 0x00, 0x1c, 0x12, 0x1a, 0x00 } },
  { 0x00037UL, 1UL, 1, 1, { 0x00, 0x02, 0x1a, 0x06, 0x00 } },
  { 0x00038UL, 1UL, 1, 1, { 0x00, 0x1a, 0x16, 0x1a, 0x00 } },
  { 0x00039UL, 1UL, 1, 1, { 0x00, 0x16, 0x12, 0x0e, 0x00 } },
  { 0x0003aUL, 0UL, 2, 2, { 0x00, 0x00, 0x14, 0x00, 0x00 } },
  { 0x0003bUL, 0UL, 2, 2, { 0x00, 0x00, 0x34, 0x00, 0x00 } },
  { 0x0003cUL, 0UL, 1, 2, { 0x00, 0x08, 0x14, 0x00, 0x00 } },
  { 0x0003dUL, 0UL, 1, 1, { 0x00, 0x14, 0x14, 0x14, 0x00 } },
  { 0x0003eUL, 0UL, 2, 1, { 0x00, 0x00, 0x14, 0x08, 0x00 } },
  { 0x0003fUL, 0UL, 1, 1, { 0x00, 0x02, 0x2a, 0x06, 0x00 } },
  { 0x00041UL, 0UL, 1, 1, { 0x00, 0x1c, 0x0a, 0x1c, 0x00 } },
  { 0x00042UL, 0UL, 1, 1, { 0x00, 0x1a, 0x16, 0x0c, 0x00 } },
  { 0x00043UL, 0UL, 1, 2, { 0x00, 0x1e, 0x12, 0x00, 0x00 } },
  { 0x00044UL, 0UL, 1, 1, { 0x00, 0x1e, 0x12, 0x0c, 0x00 } },
  { 0x00045UL, 0UL, 1, 1, { 0x00, 0x1e, 0x1a, 0x12, 0x00 } },
  { 0x00046UL, 0UL, 1, 1, { 0x00, 0x1e, 0x0a, 0x02, 0x00 } },
  { 0x00047UL, 0UL, 1, 1, { 0x00, 0x1e, 0x12, 0x1a, 0x00 } },
  { 0x00048UL, 0UL, 1, 1, { 0x00, 0x1e, 0x08, 0x1e, 0x00 } },
  { 0x00049UL, 0UL, 2, 2, { 0x00, 0x00, 0x1e, 0x00, 0x00 } },
  { 0x0004aUL, 0UL, 1, 2, { 0x00, 0x20, 0x1e, 0x00, 0x00 } },
  { 0x0004bUL, 0UL, 1, 1, { 0x00, 0x1e, 0x04, 0x1a, 0x00 } },
  { 0x0004cUL, 0UL, 1, 2, { 0x00, 0x1e, 0x10, 0x00, 0x00 } },
  { 0x0004dUL, 0UL, 0, 0, { 0x1e, 0x04, 0x08, 0x04, 0x1e } },
  { 0x0004eUL, 0UL, 0, 1, { 0x1e, 0x04, 0x08, 0x1e, 0x00 } },
  { 0x0004fUL, 0UL, 1, 1, { 0x00, 0x1e, 0x12, 0x1e, 0x00 } },
  { 0x00050UL, 0UL, 1, 1, { 0x00, 0x1e, 0x0a, 0x0c, 0x00 } },
  { 0x00051UL, 0UL, 1, 1, { 0x00, 0x1e, 0x32, 0x2e, 0x00 } },
  { 0x00052UL, 0UL, 1, 1, { 0x00, 0x1e, 0x0a, 0x16, 0x00 } },
  { 0x00053UL, 0UL, 1, 2, { 0x00, 0x16, 0x1a, 0x00, 0x00 } },
  { 0x00054UL, 0UL, 1, 1, { 0x00, 0x02, 0x1e, 0x02, 0x00 } },
  { 0x00055UL, 0UL, 1, 1, { 0x00, 0x0e, 0x10, 0x1e, 0x00 } },
  { 0x00056UL, 0UL, 1, 1, { 0x00, 0x1e, 0x10, 0x0e, 0x00 } },
  { 0x00057UL, 0UL, 0, 0, { 0x1e, 0x10, 0x1c, 0x10, 0x0e } },
  { 0x00057UL, 0UL, 1, 0, { 0x00, 0x1e, 0x08, 0x08, 0x1e } },
  { 0x00058UL, 0UL, 1, 1, { 0x00, 0x12, 0x0c, 0x12, 0x00 } },
  { 0x00059UL, 0UL, 1, 1, { 0x00, 0x06, 0x18, 0x06, 0x00 } },
  { 0x0005aUL, 0UL, 1, 2, { 0x00, 0x1a, 0x16, 0x00, 0x00 } },
  { 0x0005bUL, 0UL, 2, 1, { 0x00, 0x00, 0x1e, 0x12, 0x00 } },
  { 0x0005cUL, 0UL, 1, 2, { 0x00, 0x06, 0x18, 0x00, 0x00 } },
  { 0x0005dUL, 0UL, 1, 2, { 0x00, 0x12, 0x1e, 0x00, 0x00 } },
  { 0x0005eUL, 0UL, 1, 1, { 0x00, 0x02, 0x01, 0x02, 0x00 } },
  { 0x0005fUL, 0UL, 1, 1, { 0x00, 0x10, 0x10, 0x10, 0x00 } },
  { 0x00061UL, 0UL, 1, 1, { 0x00, 0x08, 0x14, 0x1c, 0x00 } },
  { 0x00062UL, 0UL, 1, 1, { 0x00, 0x1e, 0x14, 0x1c, 0x00 } },
  { 0x00063UL, 0UL, 1, 2, { 0x00, 0x1c, 0x14, 0x00, 0x00 } },
  { 0x00064UL, 0UL, 1, 1, { 0x00, 0x1c, 0x14, 0x1e, 0x00 } },
  { 0x00065UL, 0UL, 1, 1, { 0x00, 0x1c, 0x14, 0x0c, 0x00 } },
  { 0x00066UL, 0UL, 1, 2, { 0x00, 0x1c, 0x0a, 0x00, 0x00 } },
  { 0x00067UL, 0UL, 1, 1, { 0x00, 0x2c, 0x34, 0x1c, 0x00 } },
  { 0x00068UL, 0UL, 1, 1, { 0x00, 0x1e, 0x04, 0x1c, 0x00 } },
  { 0x00069UL, 0UL, 2, 2, { 0x00, 0x00, 0x1a, 0x00, 0x00 } },
  { 0x0006aUL, 0UL, 1, 2, { 0x00, 0x20, 0x1a, 0x00, 0x00 } },
  { 0x0006bUL, 0UL, 1, 1, { 0x00, 0x1e, 0x08, 0x14, 0x00 } },
  { 0x0006cUL, 0UL, 2, 2, { 0x00, 0x00, 0x1e, 0x00, 0x00 } },
  { 0x0006dUL, 0UL, 0, 0, { 0x1c, 0x04, 0x1c, 0x04, 0x18 } },
  { 0x0006eUL, 0UL, 1, 1, { 0x00, 0x1c, 0x04, 0x18, 0x00 } },
  { 0x0006fUL, 0UL, 1, 1, { 0x00, 0x1c, 0x14, 0x1c, 0x00 } },
  { 0x00070UL, 0UL, 1, 1, { 0x00, 0x3c, 0x14, 0x1c, 0x00 } },
  { 0x00071UL, 0UL, 1, 1, { 0x00, 0x1c, 0x14, 0x3c, 0x00 } },
  { 0x00072UL, 0UL, 1, 2, { 0x00, 0x1c, 0x04, 0x00, 0x00 } },
  { 0x00073UL, 0UL, 1, 1, { 0x00, 0x10, 0x1c, 0x04, 0x00 } },
  { 0x00074UL, 0UL, 1, 2, { 0x00, 0x1e, 0x04, 0x00, 0x00 } },
  { 0x00075UL, 0UL, 1, 1, { 0x00, 0x0c, 0x10, 0x1c, 0x00 } },
  { 0x00076UL, 0UL, 1, 1, { 0x00, 0x1c, 0x10, 0x0c, 0x00 } },
  { 0x00077UL, 0UL, 0, 0, { 0x1c, 0x10, 0x1c, 0x10, 0x0c } },
  { 0x00078UL, 0UL, 1, 1, { 0x00, 0x14, 0x08, 0x14, 0x00 } },
  { 0x00079UL, 0UL, 1, 1, { 0x00, 0x2c, 0x10, 0x0c, 0x00 } },
  { 0x0007aUL, 0UL, 1, 1, { 0x00, 0x04, 0x1c, 0x10, 0x00 } },
  { 0x0007bUL, 0UL, 1, 1, { 0x00, 0x08, 0x36, 0x22, 0x00 } },
  { 0x0007cUL, 0UL, 2, 2, { 0x00, 0x00, 0x1e, 0x00, 0x00 } },
  { 0x0007dUL, 0UL, 1, 1, { 0x00, 0x22, 0x36, 0x08, 0x00 } },
  { 0x0007eUL, 0UL, 0, 1, { 0x08, 0x04, 0x08, 0x04, 0x00 } },
  { 0x02007UL, 1UL, 1, 1, { 0x00, 0x00, 0x00, 0x00, 0x00 } },
  { 0x02012UL, 1UL, 1, 1, { 0x00, 0x08, 0x08, 0x08, 0x00 } },
  { 0xf0600UL, 0UL, 1, 0, { 0x00, 0x1e, 0x12, 0x12, 0x1e } },
  { 0xf0601UL, 0UL, 0, 0, { 0x00, 0x00, 0x00, 0x00, 0x00 } }
/*   10 times width 1 */
/*   19 times width 2 */
/*   56 times width 3 */
/*    4 times width 4 */
/*    4 times width 5 */
};
static size_t const fontliqwee_nentries= sizeof(fontliqwee_data)/sizeof(font_glyph_5x6_20_0_1_2_2_t) - 1;

static int fontliqwee_cmp1 (void const *_key, void const *_elem)
{
    code_point_t key= *(code_point_t const *)_key;
    font_glyph_5x6_20_0_1_2_2_t const *elem= (font_glyph_5x6_20_0_1_2_2_t const *)_elem;
    if (key != font_glyph_5x6_20_0_1_2_2_code(elem))
        return key < font_glyph_5x6_20_0_1_2_2_code(elem) ? -1 : +1;
    return 0;
}

static glyph_id_t fontliqwee_first_glyph (code_point_t code)
{
    font_glyph_5x6_20_0_1_2_2_t const *r= (font_glyph_5x6_20_0_1_2_2_t const *)bsearch(
        &code,
        (void const *)&fontliqwee_data, fontliqwee_nentries, sizeof(font_glyph_5x6_20_0_1_2_2_t),
        fontliqwee_cmp1);
    if (!r) return 0;
    while (r > fontliqwee_data && font_glyph_5x6_20_0_1_2_2_code(r-1) == code) --r;
    return 1 + (r - fontliqwee_data);
}

static code_point_t fontliqwee_compose (
    code_point_t c1, code_point_t c2, bool_t force)
{
    (void)c1;
    (void)c2;
    (void)force;
    return 0;
}

static font_inline font_glyph_5x6_20_0_1_2_2_t const *fontliqwee_glyph(glyph_id_t glyph)
{
    assert (glyph >= 1 && glyph <= fontliqwee_nentries + 1);
    return fontliqwee_data - 1 + glyph;
}

static glyph_id_t fontliqwee_next_glyph (glyph_id_t glyph)
{
    code_point_t code= font_glyph_5x6_20_0_1_2_2_code(fontliqwee_glyph(glyph));
    ++glyph;
    if (font_glyph_5x6_20_0_1_2_2_split(fontliqwee_glyph(glyph))) ++glyph;
    assert(!font_glyph_5x6_20_0_1_2_2_split(fontliqwee_glyph(glyph)));
    if (font_glyph_5x6_20_0_1_2_2_code(fontliqwee_glyph(glyph)) == code) return glyph;
    return 0;
}

static coord_x_t fontliqwee_glyph_x1 (glyph_id_t glyph)
{
    (void)glyph; /*might be unused*/
    return font_glyph_5x6_20_0_1_2_2_first(fontliqwee_glyph(glyph));
}

static coord_x_t fontliqwee_glyph_x2 (glyph_id_t glyph_no)
{
    font_glyph_5x6_20_0_1_2_2_t const *glyph= fontliqwee_glyph(glyph_no);
    coord_x_t x2= 4 - font_glyph_5x6_20_0_1_2_2_last(glyph);
    if (font_glyph_5x6_20_0_1_2_2_split(glyph+1)) x2+= 5;
    return x2;
}

static column_data_t fontliqwee_glyph_data (glyph_id_t glyph_no, coord_x_t i)
{
    font_glyph_5x6_20_0_1_2_2_t const *glyph= fontliqwee_glyph(glyph_no);
    assert (i >= 0 && i < 5);
    return glyph->data[i];
}

static lang_set_t fontliqwee_glyph_lang_set (lang_set_t glyph)
{
    assert (font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph)) < fontliqwee_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqwee_attr[font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph))].lang_set;
}

static column_data_t fontliqwee_glyph_space_col (glyph_id_t glyph)
{
    assert (font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph)) < fontliqwee_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqwee_attr[font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph))].space_col;
}

static coord_x_t fontliqwee_glyph_space_x (glyph_id_t glyph)
{
    assert (font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph)) < fontliqwee_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqwee_attr[font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph))].space_x;
}

static glyph_flags_t fontliqwee_glyph_flags (glyph_id_t glyph)
{
    assert (font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph)) < fontliqwee_attr_nentries);
    (void)glyph; /*might be unused*/
    return fontliqwee_attr[font_glyph_5x6_20_0_1_2_2_attr(fontliqwee_glyph(glyph))].flags;
}

#ifndef font_class_t
#define font_class_t font_class_t
typedef struct _font_class_t {
    int             api;
    char const *    name;
    encoding_t      encoding;
    coord_x_t       width;
    coord_y_t       height;
    coord_x_t       bitwidth;
    coord_x_t       max_overlap;
    coord_x_t       space_x;
    bool_t          mono;
    code_point_t  (*compose)         (code_point_t, code_point_t, bool_t);
    bool_t        (*first_glyph)     (glyph_id_t *, glyph_id_t *, code_point_t);
    glyph_id_t    (*next_glyph)      (glyph_id_t);
    coord_x_t     (*glyph_x1)        (glyph_id_t);
    coord_x_t     (*glyph_x2)        (glyph_id_t);
    column_data_t (*glyph_data)      (glyph_id_t, coord_x_t);
    lang_set_t    (*glyph_lang_set)  (glyph_id_t);
    column_data_t (*glyph_space_col) (glyph_id_t);
    coord_x_t     (*glyph_space_x)   (glyph_id_t);
    glyph_flags_t (*glyph_flags)     (glyph_id_t);
} font_class_t;
#endif /* font_class_t */

static font_class_t const fontliqwee_obj= {
    1, /* API version */
    "liqwee",
    encoding(unicode,UNICODE),
    5,
    6,
    5,
    2,
    1,
    0,
    &fontliqwee_compose,
    &fontliqwee_first_glyph,
    &fontliqwee_next_glyph,
    &fontliqwee_glyph_x1,
    &fontliqwee_glyph_x2,
    &fontliqwee_glyph_data,
    &fontliqwee_glyph_lang_set,
    &fontliqwee_glyph_space_col,
    &fontliqwee_glyph_space_x,
    &fontliqwee_glyph_flags
};
add_font (liqwee, fontliqwee_obj)
static font_class_t const fontliqweemono_obj= {
    1, /* API version */
    "liqweemono",
    encoding(unicode,UNICODE),
    5,
    6,
    5,
    2,
    1,
    1,
    &fontliqwee_compose,
    &fontliqwee_first_glyph,
    &fontliqwee_next_glyph,
    &fontliqwee_glyph_x1,
    &fontliqwee_glyph_x2,
    &fontliqwee_glyph_data,
    &fontliqwee_glyph_lang_set,
    &fontliqwee_glyph_space_col,
    &fontliqwee_glyph_space_x,
    &fontliqwee_glyph_flags
};
add_font (liqweemono, fontliqweemono_obj)


/* END: automatically generated */
